apiVersion: apps/v1
kind: Deployment
metadata:
  name: statping
  namespace: statping
  labels:
    app: statping
spec:
  selector:
    matchLabels:
      app: statping
  strategy:
    type: RollingUpdate
  template:
    metadata:
      labels:
        app: statping
    spec:
      containers:
      - image: docker.io/statping/statping:v0.90.74
        imagePullPolicy: Always
        name: statping
        env:
        - name: DB_CONN
          value: sqlite
        ports:
        - containerPort: 8080
          protocol: TCP
        volumeMounts:
        - mountPath: /app
          name: app
      volumes:
      - name: app
        persistentVolumeClaim:
          claimName: statping-data
